Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.client.amplistor
Class AmpliPolicy

    java.lang.Object
      com.intel.cosbench.client.amplistor.AmpliPolicy

    public class AmpliPolicy

extends java.lang.Object

Field Summary
`static java.lang.String` | `DYNAMIC_SAFETY`
`java.lang.Object[]` | `hierarchy_Rules`
`static java.lang.String` | `HIERARYCHY_RULES`
`java.lang.String` | `id`
`static java.lang.String` | `ID`
`long` | `max_Superblock_Size`
`static java.lang.String` | `MAX_SUPERBLOCK_SIZE`
`long` | `n_Messages`
`static java.lang.String` | `N_MESSAGES`
`static java.lang.String` | `REPAIR_SPREAD`
`long` | `safety`
`static java.lang.String` | `SAFETY`
`java.lang.Object[]` | `safety_Strategy`
`static java.lang.String` | `SAFETY_STRATEGY`
`long` | `spread_Width`
`static java.lang.String` | `SPREAD_WIDTH`

Constructor Summary
`AmpliPolicy()`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REPAIR_SPREAD

    public static final java.lang.String REPAIR_SPREAD

See Also:
  Constant Field Values

### DYNAMIC_SAFETY

    public static final java.lang.String DYNAMIC_SAFETY

See Also:
  Constant Field Values

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### SPREAD_WIDTH

    public static final java.lang.String SPREAD_WIDTH

See Also:
  Constant Field Values

### SAFETY

    public static final java.lang.String SAFETY

See Also:
  Constant Field Values

### HIERARYCHY_RULES

    public static final java.lang.String HIERARYCHY_RULES

See Also:
  Constant Field Values

### MAX_SUPERBLOCK_SIZE

    public static final java.lang.String MAX_SUPERBLOCK_SIZE

See Also:
  Constant Field Values

### SAFETY_STRATEGY

    public static final java.lang.String SAFETY_STRATEGY

See Also:
  Constant Field Values

### N_MESSAGES

    public static final java.lang.String N_MESSAGES

See Also:
  Constant Field Values

### id

    public java.lang.String id

### spread_Width

    public long spread_Width

### safety

    public long safety

### hierarchy_Rules

    public java.lang.Object[] hierarchy_Rules

### max_Superblock_Size

    public long max_Superblock_Size

### safety_Strategy

    public java.lang.Object[] safety_Strategy

### n_Messages

    public long n_Messages

Constructor Detail

### AmpliPolicy

    public AmpliPolicy()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD